<ui:UiBinder xmlns:ui='urn:ui:com.google.gwt.uibinder'
             xmlns:g='urn:import:com.google.gwt.user.client.ui'


        >


    <ui:style>

        .container {
            margin: 0 0 10px 0;
            background: #fff;
            border: 1px solid;
            border-color: #e5e6e9 #dfe0e4 #d0d1d5;
            -webkit-border-radius: 3px;

        }

        .avatar {
            height: 50px;
            width: 50px;
            display: block;
            margin: 10px 10px 5px 10px;
            float: left;
            cursor: pointer;
        }

        .username {

            display: block;
            margin: 12px 0 0 5px;
            float: left;
            color: #365899;
            font-size: 14px;
            font-weight: bold;
            width: 260px;
            cursor: pointer;
        }

        .listento {

            display: block;
            margin: 4px 0 0 5px;
            float: left;
            color: gray;
            font-size: 14px;

        }

        .date {

            display: block;
            margin: 4px 0 0 5px;
            float: left;
            color: gray;
            font-size: 14px;
        }

        .more {

            display: block;
            margin: 2px 0 9px 14px;

        }

        .header {
            display: block;
            height: 65px;

        }

        .buttonSendMusic {
            display: block;
            float: right;

            -webkit-appearance: none;
            -webkit-box-shadow: rgba(0, 0, 0, 0.0470588) 0px 1px 1px 0px;
            -webkit-font-smoothing: antialiased;
            -webkit-writing-mode: horizontal-tb;
            align-items: flex-start;
            background-color: #4267b2;

            background-position: 0px -335px;
            background-repeat: repeat-x;
            border-bottom-color: #4267b2;
            border-bottom-left-radius: 2px;
            border-bottom-right-radius: 2px;
            border-bottom-style: solid;
            border-bottom-width: 1px;
            border-image-outset: 0px;
            border-image-repeat: stretch;
            border-image-slice: 100%;
            border-image-source: none;
            border-image-width: 1;
            border-left-color: #4267b2;
            border-left-style: solid;
            border-left-width: 1px;
            border-right-color: #4267b2;
            border-right-style: solid;
            border-right-width: 1px;
            border-top-color: #4267b2;
            border-top-left-radius: 2px;
            border-top-right-radius: 2px;
            border-top-style: solid;
            border-top-width: 1px;
            box-shadow: rgba(0, 0, 0, 0.0470588) 0px 1px 1px 0px;
            box-sizing: content-box;
            color: rgb(255, 255, 255);
            cursor: pointer;
            direction: ltr;
            display: inline-block;
            font-family: helvetica, arial, 'lucida grande', sans-serif;
            font-size: 12px;
            font-style: normal;
            font-variant: normal;
            font-weight: bold;
            height: 22px;
            letter-spacing: normal;
            line-height: 22px;
            list-style-type: none;
            margin-bottom: 0px;
            margin-left: 0px;
            margin-right: 0px;
            margin-top: 0px;
            padding-bottom: 0px;
            padding-left: 16px;
            padding-right: 16px;
            padding-top: 0px;
            position: relative;
            text-align: center;
            text-decoration: none;
            text-indent: 0px;
            text-rendering: auto;
            text-shadow: rgba(0, 0, 0, 0.2) 0px -1px 0px;
            text-transform: none;
            vertical-align: middle;
            white-space: nowrap;
            width: 62px;
            word-spacing: 0px;
            word-wrap: break-word;
            writing-mode: lr-tb;
            zoom: 1;

            width: 114px;
            margin: 10px;

        }

        .name {
            float: left;
            width: 260px;

        }
    </ui:style>


    <g:HTMLPanel styleName="{style.container}" ui:field="container">

        <!--<g:Label ui:field="trackName"></g:Label>-->

        <g:FlowPanel ui:field="playerContainer">
            <g:FlowPanel styleName="{style.header}">
                <g:Image ui:field="image" styleName="{style.avatar}"></g:Image>
                <g:FlowPanel styleName="{style.name}">

                    <g:Label ui:field="userName" styleName="{style.username}"></g:Label>
                    <g:Label styleName="{style.listento}">слушает</g:Label>
                    <g:Label ui:field="date" styleName="{style.date}"></g:Label>

                </g:FlowPanel>
                <g:Button ui:field="sendMusic" styleName="{style.buttonSendMusic}" visible="false">Отправить музыку
                </g:Button>

            </g:FlowPanel>

            <g:FlowPanel ui:field="tracksContainer"></g:FlowPanel>

            <g:Anchor ui:field="more" styleName="{style.more}">Показать весь плейлист</g:Anchor>

        </g:FlowPanel>

    </g:HTMLPanel>


</ui:UiBinder>